#ifndef ESPARTS_H
#define ESPARTS_H


/*
	Copyright Object Technology International 2002.
	C language defines for included modules.

	File generated: (10/28/2002 10/28/2002)*/



/*  The following defines specify modules include when makefiles were built. */
#define INCLUDE_EBCDIC
#define INCLUDE_VM
#define INCLUDE_VERIFY
#define INCLUDE_LSI
#define INCLUDE_CGIMAGE
#define INCLUDE_DECIMAL
#define INCLUDE_SWAPPER
#define INCLUDE_PKG
#define INCLUDE_MEM
#define INCLUDE_EXELIB
#define INCLUDE_PROCESS
#define INCLUDE_NMANAGER
#define INCLUDE_SHDSRVR
#define INCLUDE_PRM
#define INCLUDE_BABEL



/*  Note: The following defines record flags used to build VM.  */
/*  Changing them here does not remove the feature and may cause linking problems. */

#define ESVM_DEBUG_SUPPORT
#define ESVM_DECIMAL_SUPPORT
#define ESVM_FLOAT_SUPPORT
#define ESVM_INSTRUMENTED
#define ESVM_NATIVE_SUPPORT
#define ESVM_CLOCK_PRIMS
#define ESVM_NLS_PRIMS
#define ESVM_BIND_WITH_PRIMS
#define ESVM_DB_STRING_PRIMS
#define ESVM_BREAK_HANDLER
#define ESVM_SWAPPER
#define ESVM_HAS_COMMAND_LINE
#define ESVM_HAS_FILE_SYSTEM
#define ESVM_IP_MUTEX_SUPPORT
#define ESVM_VIRTUAL_MEMORY_SUPPORT
#define ESVM_GP_HANDLER
#define ESVM_USE_INLINE_ALLOCATE
#define ESVM_EBCDIC_SUPPORT
#define ESVM_IMAGE_FIXUP_SUPPORT
#define ESVM_DEVELOPMENT_PRIMS
#define ESVM_MULTIPLE_IMAGE_COMPONENTS
#define ESVM_IMAGE_COMPONENTS
#define ESVM_IMAGE_RELOCATION
#define ESVM_READ_INI_FILE
#define ESVM_IMAGE_LOADING
#define ESVM_CALLIN_SUPPORT


/* flags NOT used by this VM.  */
#undef ESVM_GC_TRACING
#undef ESVM_INTERP_TRACING
#undef ESVM_SMP_ENABLED
#undef ESVM_VERIFY
#undef ESVM_ACTRA_PRIMS
#undef ESVM_PROFILING
#undef ESVM_DYNAMIC_LINK_USER_PRIMS
#undef ESVM_JAVA_SUPPORT
#undef ESVM_INSTRUMENT_TRACING
#undef ESVM_USER_INSTRUMENT_TRACING
#undef ESVM_GC_INSTRUMENT_TRACING
#undef ESVM_STREAM_LOADING
#undef ESVM_TCP_LOADING
#undef ESVM_GC_CONTROLS
#undef ESVM_ALLOC_INSTRUMENT_TRACING

#endif /* ESPARTS_H */
